com.abbyy.mobile.rtr

## Enum IDataCaptureCoreAPI.Warning

- java.lang.Object
- - java.lang.Enum<IDataCaptureCoreAPI.Warning>
  - - com.abbyy.mobile.rtr.IDataCaptureCoreAPI.Warning

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IDataCaptureCoreAPI.Warning>
  Enclosing interface:
    IDataCaptureCoreAPI

      public static enum IDataCaptureCoreAPI.Warning
      extends java.lang.Enum<IDataCaptureCoreAPI.Warning>

  Warnings

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ProbablyLowQualityImage` The image probably has low quality
    `ProbablyWrongLanguage` The chosen recognition language is probably wrong
    `RecognitionIsSlow` The image is being recognized too slowly, perhaps something is going wrong
    `TextTooSmall` The text is too small.
    `WrongLanguage` The chosen recognition language is wrong

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IDataCaptureCoreAPI.Warning` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IDataCaptureCoreAPI.Warning[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RecognitionIsSlow

          public static final IDataCaptureCoreAPI.Warning RecognitionIsSlow

      The image is being recognized too slowly, perhaps something is going wrong

    - #### ProbablyLowQualityImage

          public static final IDataCaptureCoreAPI.Warning ProbablyLowQualityImage

      The image probably has low quality

    - #### ProbablyWrongLanguage

          public static final IDataCaptureCoreAPI.Warning ProbablyWrongLanguage

      The chosen recognition language is probably wrong

    - #### WrongLanguage

          public static final IDataCaptureCoreAPI.Warning WrongLanguage

      The chosen recognition language is wrong

    - #### TextTooSmall

          public static final IDataCaptureCoreAPI.Warning TextTooSmall

      The text is too small. Zoom in or move camera closer

  - ### Method Detail

    - #### values

          public static IDataCaptureCoreAPI.Warning[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDataCaptureCoreAPI.Warning c : IDataCaptureCoreAPI.Warning.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDataCaptureCoreAPI.Warning valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null